Bug 8742 - Example uses perl 5.8 in Makefile.PL
Summary: Example uses perl 5.8 in Makefile.PL
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: M. Tompsett
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-09 07:11 UTC by M. Tompsett
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Changed hardcoded path for a programmatic one. (1.68 KB, patch)
2012-09-09 08:36 UTC, M. Tompsett
Details | Diff | Splinter Review
Changed hardcoded path for a programmatic one. (1.67 KB, patch)
2012-09-11 17:37 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8742 - Example uses perl 5.8 in Makefile.PL (1.77 KB, patch)
2012-09-21 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2012-09-09 07:11:27 UTC
When running a tarball or git install, the following is printed at the end of the process:
--- BEGIN SNIPPET ---
To change any configuration setting, please run
perl Makefile.PL again.  To override one of the target
directories, you can do so on the command line like this:

perl Makefile.PL PERL_MODULE_DIR=/usr/share/perl/5.8

You can also set different default values for parameters
or override directory locations by using environment variables.
--- END SNIPPET ---

Seeing as 5.10 is the minimum version for Perl as of 3.6.x, this should be reflected.

Test
--------
$ perl Makefile.PL
# hold down the enter key to accept all the defaults
# scroll back up, if necessary, to see it does say 5.8 as above.

Apply patch retest. The results should reflect an appropriate version.
If there is /usr/share/perl/ in @INC, the first match is used.
Otherwise, /usr/share/perl/5.10 is used (since the text does say LIKE this, and not EXACTLY this).

Patch to follow shortly.
Comment 1 M. Tompsett 2012-09-09 08:36:07 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2012-09-11 17:37:35 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2012-09-21 14:57:43 UTC
Created attachment 12437 [details] [review]
[SIGNED-OFF] Bug 8742 - Example uses perl 5.8 in Makefile.PL

Changed hardcoded path for a programmatic one. Basing it on:
  grep /\/usr\/share\/perl\//, @INC;
And doing a:
  push @version, ('/usr/share/perl/5.10') if !$version[0];
For a reasonable default otherwise. No more references to
  /usr/share/perl/5.8
hardcoded into the output.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Paul Poulain 2012-10-10 15:03:17 UTC
QA comment
 * installer-only script
 * doc only

passes QA
Comment 5 Paul Poulain 2012-10-12 13:41:46 UTC
Patch pushed to master
(pushed 2 days ago, I forgot to update the status)
Comment 6 Chris Cormack 2013-04-21 00:47:02 UTC
Pushed to 3.8.x will be in 3.8.12